classification
Title: Restore empty string special casing in importlib.machinery.FileFinder
Type: behavior Stage: resolved
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: Arfrever, brett.cannon, larry, ncoghlan, python-dev
Priority: release blocker Keywords:

Created on 2013-10-26 15:38 by ncoghlan, last changed 2013-11-01 14:38 by brett.cannon. This issue is now closed.

Messages (5)
msg201367 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-10-26 15:38
As noted on python-dev, while changing PathFinder to expand the empty string to the current working directory is a good idea, removing the '' special case handling in FileFinder may break subclasses and other custom metapath hooks that expect the current behaviour.

Just creating this to make sure it is resolved before 3.4 is released (it is simply a matter of reverting a patch, since we want to keep *most* of the change that implemented absolute paths in __file__ attributes, just not all of it)
msg201541 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-10-28 13:49
Do you actually mean PathFinder or FileFinder (I'm fairly certain you mean the latter).
msg201542 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-10-28 13:53
The PathFinder change is fine, this is about restoring the previous
FileFinder behaviour.
msg201546 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-10-28 14:47
Changeset #76184b5339f2 contains the commit Nick is referring to.
msg201903 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-01 14:38
New changeset 17d730d37b2f by Brett Cannon in branch 'default':
Issue #19410: Put back in special-casing of '' for
http://hg.python.org/cpython/rev/17d730d37b2f
History
Date User Action Args
2013-11-01 14:39:36brett.cannonunlinkissue18810 dependencies
2013-11-01 14:38:27brett.cannonsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2013-11-01 14:38:05python-devsetnosy: + python-dev
messages: + msg201903
2013-11-01 14:20:32brett.cannonlinkissue18810 dependencies
2013-10-28 23:11:33Arfreversetnosy: + Arfrever
2013-10-28 14:47:21brett.cannonsetmessages: + msg201546
2013-10-28 13:53:05ncoghlansetmessages: + msg201542
2013-10-28 13:49:35brett.cannonsetmessages: + msg201541
2013-10-26 15:38:30ncoghlancreate